!----------------------------------------------------------------------
!   DPAC.CCL
!----------------------------------------------------------------------

-LABEL 0                { Label 0 }
Revision 1                      { Set the Revision Level }
DsplyMsg Step 1: Initializing modem ...
CanBtn   19                     { If cancel button - just exit }
SetTries 0                      { Initialize Tries to 0 }
ChrDelay 2                      { Initialize Character Delay }
SerReset ~BAUD 0 8 1            { Set the Baud Rate }
HSReset  0 0 17 19              { Reset }
DsplyPic 1                      { Display Picture 1 }
MdmSetup                        { Send out user's premodem init string }

-LABEL 1                { Label 1 }
Flush                           { Flush out the Inbound/Outbound Buffers }
MatchStr 1 2 ~CMDESC            { Look for "+++" }
MatchStr 2 2 ~CMDOK             { Look for "OK" }

MdmEsc                          { Get the modems attention }
Wait 200                        { Pause for 2 seconds, minimum gap required }
                                { The Wait will then look at the MatchStr(s) }

-Label 2                { Label 2 }
MatchStr 1 3   ~CMDOK           { Look for "OK" }
MatchStr 2 33  ~CMDERR          { Look for "ERROR" }

MdmDisc                         { Disconnect }
                                { Jump to label #3 if we see 'OK' go by }
Wait 200                        { wait for 'OK' from modem }
Jump 33                         { Exit stage left...time out error on modem }

-LABEL 3                { Label 3 }
DsplyMsg Step 2: Dialing ~PRFX~CLWT~FONE ...

MatchStr 1 43   ~NCTIMEOUT      { ALWAYS look for "TIMEOUT"    }
MatchStr 2 42   ~NCCARRIER      { ALWAYS look for "NO CARRIER" }
MatchStr 3  5   ~C300           { Look for "CONNECT 300"   }
MatchStr 4  6   ~C1200          { Look for "CONNECT 1200"  }
MatchStr 5  7   ~C2400          { Look for "CONNECT 2400"  } 
MatchStr 6  8   ~C4800          { Look for "CONNECT 4800"  }
MatchStr 7  9   ~C9600          { Look for "CONNECT 9600"  }
MatchStr 8  10  ~C14400         { Look for "CONNECT 14400" }
MatchStr 9  10  ~C19200         { Look for "CONNECT 19200" }
MatchStr 10 40  ~NCDIALTONE     { Look for "NO DIALTONE"   }
MatchStr 11 27  ~NCANSWER       { Look for "NO ANSWER"     }
MatchStr 12 41  ~NCVOICE        { Look for "VOICE"         }
MatchStr 13 26  ~NCBUSY         { Look for "BUSY"          }
MatchStr 14 33  ~CMDERR         { Look for "ERROR"         }

SetTries 0                      { Initialize Tries to 0 }
CanBtn   18                     { If cancel button hit, Jump to Label 18 }
MdmDial ~TONE ~PRFX~CLWT~FONE   { Dial the Number }

                                { Don't forget that the Wait searches the }
                                { MatchStr(s) just defined above. }
Wait 4800                       { Wait for CONNECT msg from modem }
Jump 28                         { Else hang up phone & exit }

-Label 5                { Label 5 }
SerReset 300 0 8 1              { Set the CommPort Attributes }
Jump 12                         { Jump to Label 12 }

-Label 6                { Label 6 }
SerReset 1200 0 8 1             { Set the CommPort Attributes }
Jump 12                         { Jump to Label 12 }

-Label 7                { Label 7 }
SerReset 2400 0 8 1             { Set the CommPort Attributes }
Jump 12                         { Jump to Label 12 }

-Label 8                { Label 8 }
SerReset 4800 0 8 1             { Set the CommPort Attributes }
Jump 12                         { Jump to Label 12 }

-Label 9                { Label 9 }
SerReset 9600 0 8 1             { Set the CommPort Attributes }
Jump 12                         { Jump to Label 12 }

-Label 10               { Label 10 }
SerReset 19200 0 8 1            { Set the CommPort Attributes }
Pause 30                        { Pause ... }
Flush                           { Flush it out }
DsplyPic 2                      { Display Picture 2 }
DsplyMsg Step 3: Connecting at 14400 bps ...
Pause 60                        { Pause ... }
ChrDelay 20                     { Set the Character Delay to 2 }
Jump 13                         { Jump to Label 13 }

-LABEL 12               { Label 12 }
Pause 30                        { Pause ... }
Flush                           { Flush it out }
DsplyPic 2                      { Display Picture 2 }
DsplyMsg Step 3: Connecting at ~BAUD bps ...
Pause 60                        { Pause ... }
ChrDelay 20                     { Set the Character Delay to 2 }
      
-LABEL 13               { Label 13 }
MatchStr 2 44 ~NCCARRIER        { ALWAYS look for "NO CARRIER" }
MatchStr 3 15 DATAPAC:          { Look for "DATAPAC" }  

DsplyMsg Step 4: Requesting network attention ...
Xmit ..\13                      { Send out String }
Wait 240                        { Wait searches MatchStr(s) for a hit }
IncTries                        { Increment Tries }
IfTries 4 28                    { Have we reached 4 Tries ???? }
Jump 13                         { Jump to Label 13 }

-LABEL 15               { Label 15 }
ChrDelay 2                      { Set the Character Delay to 2 }
MatchStr 3 16 CALL CONNECTED    { Look for "CALL CONNECTED" }
MatchStr 4 17 PACKET SIZE:      { Look for "PACKET SIZE:" }
DsplyMsg Step 5: Talking to network ...
Xmit ~DPC1\13                   { Send out String }

Wait 960                        { Wait searches the MatchStr(s) for a Hit }
Jump 32                         { No hit, jump to Label 32 }

-LABEL 16               { Label 16 }
DsplyMsg Step 6: Connecting to America Online ...

MatchStr 3 17 PACKET SIZE:      { Look for "PACKET SIZE:" }
Wait 960                        { Wait searches the MatchStr(s) for a Hit }

-LABEL 17               { Label 17 }
DsplyPic 3                      { Display Picture 3 }
DsplyMsg Checking Password ...  { Display Message }
Exit 0                          { Exit out and return 0 }

-Label 18               { Label 18 }
Hangup                          { Hangup }
Exit -111                       { Exit out and return -111 }

-Label 19               { Label 19 }
Exit -111                       { Exit out and return -111 }


!----------------------------------------------------------------------
!                       Error Messages 
!----------------------------------------------------------------------
                        
                        
-Label 26               { Label 26 }      
Talert The number dialed is busy. Please take the following steps:\13 
Talert 1) Try signing on to America Online again.\13 
Talert 2) To obtain an alternate access number:\13 \13     From the WELCOME screen, click on SCREEN NAME\13     and select NEW LOCAL# and click SIGN ON.\13
Talert 3) If you cannot get connected to America Online, call\13     ~ACUS and report this problem.\13
Jump 51                         

-Label 27               { Label 27 }
Talert The number dialed is not answering. Please take the following steps:\13
Talert 1) Try signing on to America Online again.\13 
Talert 2) To obtain an alternate access number:\13 \13     From the WELCOME screen, click on SCREEN NAME\13     and select NEW LOCAL# and click SIGN ON.\13
Talert 3) If you cannot get connected to America Online, call\13     ~ACUS and report this problem.\13

Jump 51                         

-Label 28               { Label 28 }
Talert The access company failed to respond.\13 \13 1) Please wait a few moments and try to connect to\13     America Online again.\13 
Talert 2) Verify that the correct network is selected:\13 \13     From the WELCOME screen, click on SCREEN NAME\13     and select NEW LOCAL# and click SIGN ON.\13
Talert 3) If the problem persists please refer to the help text.\13     From the Welcome screen click on the SETUP \13     button, then click on the HELP & INFO button.\13 
Jump 51

-Label 32               { Label 32 }
Talert The final connection step to ~APPL did not complete.\13 \13 Please wait a few moments and try again.\13
Talert Prior to modifying any modem or system settings\13please refer to the help text. From the Welcome screen\13click on the SETUP button, then the HELP & INFO button.\13 
Jump 51                            

-Label 33               { Label 33 }
Talert America Online was unable to initialize your modem.\13Please take the following steps:\13 \13 1) Turn your modem off then back on. \13
Talert 2) Click SETUP, then SETUP MODEM to verify your\13     modem selection.\13 \13 3) Try signing on to America Online again.\13
Talert 4) Check modem cable connections.\13
Talert 5) If the problem persists please refer to the help text.\13     From the Welcome screen click on the SETUP button,\13     then click on the HELP & INFO button.\13 
Jump 51 

-Label 40               { Label 40 }
Talert The modem has reported NO DIAL TONE. Please Follow these steps:\13
Talert 1) Check all phone line connections.\13     The line from the wall must be connected to the\13     connector labeled:\13 
Talert \32     "LINE", "TELCO", "WALL" or "JACK".\13 \13     For additional information please refer to your\13     modem manual.\13
Talert 2) Use a telephone to verify that there is a dial tone\13     on the line to the modem.\13    
Talert 3) Refer to the help text. From the Welcome screen\13     click on the SETUP button, then the HELP & INFO\13     button.\13 
Jump 51

-Label 41               { Label 41 }
Talert The number dialed did not connect to the access\13company. Please take the following steps:\13 
Talert 1) Click on SETUP then EDIT LOCATION to verify\13     if a "9," or "1," is needed.\13     
Talert 2) To verify the access number:\13 \13     From the WELCOME screen, click on SCREEN NAME\13     and select NEW LOCAL# and click SIGN ON.\13
Talert 3) For additional information refer to the help text.\13     From the Welcome screen click on the SETUP button,\13     then click on the HELP & INFO button.\13
Jump 51

-Label 42               { Label 42 }
Talert The modem was unable to get a carrier signal.\13Please take the following steps:\13 
Talert 1) Check all phone line and cable connections\13     to the modem.\13
Talert 2) Click on SETUP then EDIT LOCATION to verify\13     if a "9," or "1," is needed.\13     
Talert 3) To verify the access number:\13 \13     From the WELCOME screen, click on SCREEN NAME\13     and select NEW LOCAL# and click SIGN ON.\13
Talert 4) Refer to the help text. From the Welcome screen\13     click on the SETUP button, then the HELP & INFO\13     button.\13
Talert 5) If the problem persists, call ~APPL at\13     ~ACUS.\13
Jump 51

-Label 43               { Label 43 }
Talert The modem detected a TIMEOUT.  Please take the following steps:\13
Talert 1) Your modem may not be working properly.\13     Please try using your modem with another\13     telecommunications package to verify that\13     the modem is working.\13
Talert 2) To verify the access number:\13 \13     From the WELCOME screen, click on SCREEN NAME\13     and select NEW LOCAL# and click SIGN ON.\13
Talert 3) Refer to the help text. From the Welcome screen\13     click on the SETUP button, then the HELP & INFO\13     button.\13
Jump 51

-Label 44               { Label 44 }
Talert The connection to the access company has been lost.\13
Talert Please wait a few moments and try again.\13
Jump 51                            

-Label 50               { Label 50 }
Alert 52 \13If the problem persists, call ~APPL customer service at ~ACUS.
Exit -1

-Label 51               { Label 51 }
Alert 52 \13
Exit -1

-Label 52               { Label 52 }
Exit -1




!----------------------------------------------------------------------
!                       Hangup Sequence 
!----------------------------------------------------------------------

*-Label 0               { Label 0 }     
*CanBtn 2                       { Cancel Button }
*Flush                          { Flush it out }

*MatchStr 1 1 ~CMDOK            { Look for "OK" }
*MatchStr 2 1 ~NCCARRIER        { Look for "NO CARRIER" }

*MdmEsc                         { Get the Modems attention }
*Wait 210                       { Look to a hit on MatchStr(s) }        

*MatchStr 1 1 ~CMDOK            { Look for "OK" }
*MatchStr 2 2 ~NCCARRIER        { Look for "NO CARRIER" }
*MatchStr 3 1 ~CMDESC           { Look for "+++" }      

*MdmEsc                         { Send out the Escape String }
*Wait 210                       { Wait for a hit from MatchStr(s) }

*-Label 1               { Label 1 }
*MatchStr 1 2 ~CMDESC           { Look for "+++" }
*MatchStr 2 2 ~CMDOK            { Look for "OK" }
*MatchStr 3 2 ~NCCARRIER        { Look for "NO CARRIER" }

*MdmDisc                        { Disconnect }
*Wait 300                       { Look for a hit from MatchStr(s) }

*-Label 2               { Label 2 }
*MdmRestore                     { Restore }
*Exit 0                         { Exit out and return 0 }

###                             { End of File Marker }

